| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::database_add_options Class Reference
API

options to add an archive to base More...

`#include <database_options.hpp>`

## Public Member Functions
| database_add_options (const database_add_options &ref)=default
| database_add_options (database_add_options &&ref) noexcept=default
database_add_options & | operator= (const database_add_options &ref)=default
database_add_options & | operator= (database_add_options &&ref) noexcept=default
void | clear ()
| database_add_options (const database_add_options &ref)=default
| database_add_options (database_add_options &&ref) noexcept=default
database_add_options & | operator= (const database_add_options &ref)=default
database_add_options & | operator= (database_add_options &&ref) noexcept=default
void | clear ()

## Detailed Description

options to add an archive to base

for now this is a placeholder class

Definition at line 132 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## Constructor & Destructor Documentation

## ◆ database_add_options() [1/2]

libdar::database_add_options::database_add_options | ( |  | ) |
| inline

Definition at line 135 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ database_add_options() [2/2]

libdar::database_add_options::database_add_options | ( |  | ) |
| inline

Definition at line 135 of file src/libdar/database_options.hpp.

## Member Function Documentation

## ◆ clear() [1/2]

void libdar::database_add_options::clear | ( |  | ) |
| inline

Definition at line 142 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ clear() [2/2]

void libdar::database_add_options::clear | ( |  | ) |
| inline

Definition at line 142 of file src/libdar/database_options.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/database_options.hpp
- src/libdar/database_options.hpp